import { __decorate } from "tslib";
import { observable, customElement, FASTElement } from '@microsoft/fast-element';
import { FoundationInboxService } from '../../services/foundation-inbox-service';
import { FoundationInboxCounterStyles } from './foundation-inbox-counter.styles';
import { FoundationInboxCounterTemplate } from './foundation-inbox-counter.template';
let FoundationInboxCounter = class FoundationInboxCounter extends FASTElement {
    constructor() {
        super(...arguments);
        this.value = 0;
    }
    async connectedCallback() {
        super.connectedCallback();
        this.subscriptionHandler = ({ store }) => {
            this.value = store.items.length;
        };
        this.foundationInboxService.subscribe(this.subscriptionHandler);
    }
    disconnectedCallback() {
        super.disconnectedCallback();
        this.foundationInboxService.unsubscribe(this.subscriptionHandler);
    }
};
__decorate([
    observable
], FoundationInboxCounter.prototype, "value", void 0);
__decorate([
    FoundationInboxService
], FoundationInboxCounter.prototype, "foundationInboxService", void 0);
FoundationInboxCounter = __decorate([
    customElement({
        name: 'foundation-inbox-counter',
        template: FoundationInboxCounterTemplate,
        styles: FoundationInboxCounterStyles,
    })
], FoundationInboxCounter);
export { FoundationInboxCounter };
